openSUSE Security Update : libXp (openSUSE-SU-2013:1046-1)

Medium Nessus Plugin ID 75050

Synopsis

The remote openSUSE host is missing a security update.

Description

This update of libXp fixes several integer overflow issues :

- U_0001-integer-overflow-in-XpGetAttributes-XpGetOneAttri but.patch, U_0002-integer-overflows-in-XpGetPrinterList-CVE-2013-20 62-.patch, U_0003-integer-overflows-in-XpQueryScreens-CVE-2013-2062
-3-.patch

- integer overflow(s) in XpGetAttributes/XpGetOneAttribute, XpGetPrinterList() and XpQueryScreens() [CVE-2013-2062] (bnc#821668, bnc#815451)

Solution

Update the affected libXp packages.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=815451

https://bugzilla.novell.com/show_bug.cgi?id=821668

https://lists.opensuse.org/opensuse-updates/2013-06/msg00170.html

Plugin Details

Severity: Medium

ID: 75050

File Name: openSUSE-2013-514.nasl

Version: 1.6

Type: local

Agent: unix

Published: 2014/06/13

Updated: 2020/06/04

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Temporal Score: 5

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libXp-debugsource, p-cpe:/a:novell:opensuse:libXp-devel, p-cpe:/a:novell:opensuse:libXp-devel-32bit, p-cpe:/a:novell:opensuse:libXp6, p-cpe:/a:novell:opensuse:libXp6-32bit, p-cpe:/a:novell:opensuse:libXp6-debuginfo, p-cpe:/a:novell:opensuse:libXp6-debuginfo-32bit, cpe:/o:novell:opensuse:12.2, cpe:/o:novell:opensuse:12.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2013/06/11

Reference Information

CVE: CVE-2013-2062

BID: 60131